const dbPublicacoes = _db.query(`
    SELECT
        publicacao.uid,
        comunidade.nome AS "comunidade",
        publicacao.mensagem,
        publicacao.momento
    FROM publicacao
        INNER JOIN comunidade ON publicacao.comunidade_id = comunidade.id
        INNER JOIN pessoa ON publicacao.pessoa_id = pessoa.id
    WHERE
        pessoa.uid = ?
    ORDER BY publicacao.momento DESC
`, _req.getString("uid"))

const dados = _val.list()

for (const dbPublicacao of dbPublicacoes) {
    dados.add(
        _val.map()
            .set("uid", dbPublicacao.getString("uid"))
            .set("comunidade", dbPublicacao.getString("comunidade"))
            .set("mensagem", dbPublicacao.getString("mensagem"))
            .set("momento", dbPublicacao.getSQLTimestamp("momento"))
    )
}

_out.json(dados)